Bug 674375 - v7 certify misses tests where one of serveral devices has passed
v7 certify misses tests where one of serveral devices has passed
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.2
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-01 11:27 EST by Greg Nichols
Modified: 2011-05-09 12:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In v7 1.2, certify command failed to add tests for multiple devices if one has already passed. This issue has been fixed in v7 1.3, now if one of multiple devices has passed the test, the rest devices are still able to be added to test.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 12:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
resultsengine.py patch changing processing of remaining tests based on key, not name (808 bytes, patch)
2011-02-01 11:28 EST, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2011-02-01 11:27:12 EST
Description of problem:

The v7 certify command will fail to add tests for multiple devices if one has passed.  For example, if cpuscaling has passed only on cpu0, v7 certify will no add the remaining cpus to the list of tests to be performed.

Version-Release number of selected component (if applicable):

v7 1.3 R10


Steps to Reproduce:
1. v7 plan on multi-cpu system supporting scaling
2. v7 run --test cpuscaling --device 0
3. v7 certify (note that other cpus are not tested)
Comment 1 Greg Nichols 2011-02-01 11:28:49 EST
Created attachment 476444 [details]
resultsengine.py patch changing processing of remaining tests based on key, not name
Comment 6 Caspar Zhang 2011-04-29 09:22:47 EDT
Reproduced in R10:

-> network eth1 passed

-> run certify
usb                   None                                
cdrom      sr0        storage_model_DV_18S_A              
dvd        sr0        storage_model_DV_18S_A              
memory                None                                
fv_core               None                                
fv_memory             None                                
fv_storage            None                                
fv_network            None                                
video                 pci_102b_522                        
storage    sda        storage_serial_MB0500EAMZD_9WJ0NJHN 
cpuscaling 0          acpi_CPU0                           
cpuscaling 1          acpi_CPU1                           
cpuscaling 2          acpi_CPU2                           
cpuscaling 3          acpi_CPU3                           
profiler              None                                
core                  None                                
info                  None                                
reboot                None <- no network any more

Verified in R38:

-> run certify

The following tests with tag(s) [certification] are recommended to continue the certification
usb                   None                                
cdrom      sr0        storage_model_DV_18S_A              
dvd        sr0        storage_model_DV_18S_A              
network    eth2       net_3c_4a_92_e0_d1_27               <-- still have network ,but skip eth1
network    eth0       net_00_05_33_26_9e_4f               
memory                None                                
fv_core               None                                
fv_memory             None                                
fv_storage            None                                
fv_network            None                                
video                 pci_102b_522                        
storage    sda        storage_serial_MB0500EAMZD_9WJ0NJHN 
profiler              None                                
core                  None                                
cpuscaling            None                                
info                  None                                
reboot     local      None                                
reboot     nfs        None
Comment 7 Caspar Zhang 2011-05-01 05:34:42 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In v7 1.2, certify command failed to add tests for multiple devices if one has already passed. This issue has been fixed in v7 1.3, now if one of multiple devices has passed the test, the rest devices are still able to be added to test.
Comment 8 errata-xmlrpc 2011-05-09 12:14:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0497.html

Note You need to log in before you can comment on or make changes to this bug.